/*******************************(abc906-18325)*********
 * SPIڑ(GT20L16J1Y/23LC512) with AQM1248A  
 ******************************************************/

#include "myProject.h"

char     RBuf[BFSIZE];      // VAMobt@
uint8_t  SFlg;              // VAMtO

uint16_t KARY[] = {'','',0x828F, 'n',0};
char     KSTR[] = "VfBT";

//---- ^[~iɃvvg\
void prtPrompt(uint8_t m){
    if(m)  putch('#');	//printf("# ");	// A[h
    else   putch('$');	//printf("$ ");	// ʏ폑[h
    putch(' ');
}

/*-----------------------------------
 *        Main application
 ------------------------------------*/
void main(void){
    uint8_t cmd;

    SYSTEM_Initialize();
    SSP1CON1bits.SSPEN = 1;     //SPI1L
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    gLCD_int();
    gLCD_clr(0);                // x^0xFF
    
    puts("Ready\r");  			// mFp
    gLCD_strX(0,0,"Ready");

    spiMem_cmd_R("R");          // mFp
   
    #ifndef VBA
        prtPrompt(spiMem_SqMode());
    #endif 
        
    while (1){
        if(SFlg){
            gLCD_clr(0);            // OtBbNʏ
            gLCD_strX(0,0,RBuf);    // LCDɃR}h\
            cmd = RBuf[0];            // R}h͑1
            #ifndef VBA
                printf("\n\r");
            #endif
            switch(cmd) {               // eR}h̎s
                case 'W': spiMem_cmd_W(RBuf);  break;
                case 'R': spiMem_cmd_R(RBuf);  break;
                case 'Q': spiMem_cmd_Q(RBuf);  break;
                case 'U': spiMem_cmd_U(RBuf);  break;
                case 'S': spiMem_cmd_W(RBuf);  break;
                case 'P': spiMem_cmd_P(RBuf);  break;
                case 'K': spiMem_cmd_K(RBuf);  break;
                case 'L': spiMem_cmd_L(RBuf);  break;
                case 'Y': gLCD_ZstrX(0,32,(char *)KSTR,1); break;
                case 'Z': gLCD_ZstrX(0,32,(char *)KARY,0); break;
                                        // LȃR}hȂ
                default:  if(spiMem_SqMode()){
                            spiMem_cmd_WSQ(RBuf);
                          }            // A[hȂ
                          break;       // V[PXs
            }
            SFlg = 0;
            #ifndef VBA
                prtPrompt(spiMem_SqMode());
            #endif
        }
        IO_RA4_Toggle();
        __delay_ms(500);
    }
}
/**===  End of File  ===*/
